Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.component
Class UIFileUpload

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.jboss.seam.ui.component.UIFileUpload

All Implemented Interfaces:
  EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  HtmlFileUpload

    public abstract class UIFileUpload

extends javax.faces.component.UIInput

JSF component class

Nested Class Summary
`protected class` | `UIFileUpload.LocalUploadValue` Helper class to store the local values.

Field Summary

Fields inherited from class javax.faces.component.UIInput
`COMPONENT_FAMILY, COMPONENT_TYPE, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIFileUpload()`

Method Summary
`abstract String` | `getAccept()`
`String` | `getLocalContentType()`
`String` | `getLocalFileName()`
`Integer` | `getLocalFileSize()`
`InputStream` | `getLocalInputStream()`
`Object` | `getLocalValue()`
`abstract String` | `getStyle()`
`abstract String` | `getStyleClass()`
`boolean` | `isLocalValueSet()`
`void` | `processUpdates(javax.faces.context.FacesContext context)`
`abstract void` | `setAccept(String accept)`
`void` | `setLocalContentType(String localContentType)`
`void` | `setLocalFileName(String localFileName)`
`void` | `setLocalFileSize(Integer localFileSize)`
`void` | `setLocalInputStream(InputStream localInputStream)`
`abstract void` | `setStyle(String style)`
`abstract void` | `setStyleClass(String styleClass)`
`void` | `setValue(Object value)`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isRequired, isValid, markInitialState, processDecodes, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getValue, setConverter`

Constructor Detail

### UIFileUpload

    public UIFileUpload()

Method Detail

### processUpdates

    public void processUpdates(javax.faces.context.FacesContext context)

  Overrides:
    `processUpdates` in class `javax.faces.component.UIInput`

### getLocalContentType

    public String getLocalContentType()

### setLocalContentType

    public void setLocalContentType(String localContentType)

### getLocalFileName

    public String getLocalFileName()

### setLocalFileName

    public void setLocalFileName(String localFileName)

### getLocalFileSize

    public Integer getLocalFileSize()

### setLocalFileSize

    public void setLocalFileSize(Integer localFileSize)

### getLocalInputStream

    public InputStream getLocalInputStream()

### setLocalInputStream

    public void setLocalInputStream(InputStream localInputStream)

### getLocalValue

    public Object getLocalValue()

  Specified by:
    `getLocalValue` in interface `javax.faces.component.ValueHolder`
  Overrides:
    `getLocalValue` in class `javax.faces.component.UIOutput`
  See Also:
    `UIOutput.getLocalValue()`

### setValue

    public void setValue(Object value)

  Specified by:
    `setValue` in interface `javax.faces.component.ValueHolder`
  Overrides:
    `setValue` in class `javax.faces.component.UIInput`
  See Also:
    `UIInput.setValue(java.lang.Object)`

### isLocalValueSet

    public boolean isLocalValueSet()

  Specified by:
    `isLocalValueSet` in interface `javax.faces.component.EditableValueHolder`
  Overrides:
    `isLocalValueSet` in class `javax.faces.component.UIInput`
  See Also:
    `UIInput.isLocalValueSet()`

### setAccept

    public abstract void setAccept(String accept)

### getAccept

    public abstract String getAccept()

### getStyleClass

    public abstract String getStyleClass()

### getStyle

    public abstract String getStyle()

### setStyleClass

    public abstract void setStyleClass(String styleClass)

### setStyle

    public abstract void setStyle(String style)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.